#jinja2: trim_blocks: True, lstrip_blocks: True
{{ ansible_managed | comment }}

map {{ item.match | mandatory }} {{ item.variable | mandatory }} {
  {% if item.default is defined %}
  default {{ item.default | mandatory }};
  {% endif %}
  {% for _item in item.map | mandatory %}
  '{{ _item.key | mandatory }}' '{{ _item.value | mandatory }}';{% if _item.comment is defined %} # {{ _item.comment | mandatory }}
{% endif %}
  {% endfor %}
}
